TCLAP::Visitor Class Referenceabstract

A base class that defines the interface for visitors. More...

`#include <Visitor.h>`

Inheritance diagram for TCLAP::Visitor:
[legend]

## Public Member Functions

| Visitor ()
| Constructor. More...
virtual | ~Visitor ()
| Destructor. More...
virtual void | visit ()=0
| This method (to implemented by children) will be called when the visitor is visited. More...

## Detailed Description

A base class that defines the interface for visitors.

Definition at line 34 of file Visitor.h.

## Constructor & Destructor Documentation

## Visitor()

TCLAP::Visitor::Visitor | ( |  | ) |

inline

Constructor.

Does nothing.

Definition at line 41 of file Visitor.h.

## ~Visitor()

virtual TCLAP::Visitor::~Visitor | ( |  | ) |

inline virtual

Destructor.

Does nothing.

Definition at line 46 of file Visitor.h.

## Member Function Documentation

## visit()

virtual void TCLAP::Visitor::visit | ( |  | ) |

pure virtual

This method (to implemented by children) will be called when the visitor is visited.

Implemented in TCLAP::VersionVisitor, TCLAP::IgnoreRestVisitor, and TCLAP::HelpVisitor.

Referenced by TCLAP::Arg::_checkWithVisitor().

The documentation for this class was generated from the following file:

- Visitor.h